Delete Measured Boot Trusted Profile Approval

View as Markdown

Delete a measured-boot trusted Profile approval by approval ID or Profile ID.

Org must have an Infrastructure Provider entity that owns the Site. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
idstringRequiredformat: "uuid"
Approval ID or Profile ID, as selected by the selector query parameter

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site
selectorenumRequired
Whether id identifies the approval or the system profile
Allowed values:

Response

Deleted measured-boot trusted Profile approval

approvalIdstringformat: "uuid"
Unique approval ID.
profileIdstringformat: "uuid"

ID of the measured-boot system profile.

approvalTypeenum
Whether the approval is consumed once or persists for future reports.
pcrRegistersstring

Optional comma-separated PCR register selector.

commentsstring
Optional operator comments about the approval.
createddatetime or null
Time when the approval was created, or null when Core did not return a timestamp.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error